Get Campaign Analytics
curl --request GET \
--url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/analytics \
--header 'x-api-key: <api-key>'import requests
url = "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/analytics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app-api.walead.ai/api/v1/campaigns/{campaignId}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"statusCode": 123,
"message": "<string>"
}Analytics
Get Campaign Analytics
Returns analytics for a specific campaign
GET
/
v1
/
campaigns
/
{campaignId}
/
analytics
Get Campaign Analytics
Overview
Returns analytics for a specific campaign. You can filter by date range to see campaign performance over time.Authorizations
API key for authentication. Generate from your WaLead dashboard.
Path Parameters
Campaign ID
Query Parameters
Start date filter (ISO 8601 format)
End date filter (ISO 8601 format)
Response
Campaign analytics retrieved successfully
Campaign-specific analytics
⌘I